# Generated by Django 3.1.3 on 2020-11-20 01:12

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Participante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dni', models.CharField(blank=True, max_length=200, null=True)),
                ('nombres', models.CharField(blank=True, max_length=200, null=True)),
                ('apellidos', models.CharField(blank=True, max_length=200, null=True)),
                ('puntos_ruta_tecsup', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Pregunta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pregunta', models.TextField(blank=True, max_length=200, null=True)),
                ('imagen', models.ImageField(blank=True, null=True, upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='Respuesta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('respuesta', models.TextField(blank=True, max_length=200, null=True)),
                ('imagen', models.ImageField(blank=True, null=True, upload_to='')),
                ('correcta', models.BooleanField(default=False)),
                ('pregunta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='respuestas', to='API.pregunta')),
            ],
        ),
        migrations.CreateModel(
            name='Sede',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Stand',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=200)),
                ('videoCarrera', models.TextField(blank=True, null=True)),
                ('videoAlumno', models.TextField(blank=True, null=True)),
                ('brochure', models.FileField(blank=True, null=True, upload_to='')),
                ('datosEmpleabilidad', models.TextField(blank=True, null=True)),
                ('imagen1', models.ImageField(blank=True, null=True, upload_to='')),
                ('imagen2', models.ImageField(blank=True, null=True, upload_to='')),
                ('imagen3', models.ImageField(blank=True, null=True, upload_to='')),
                ('sede', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='stands', to='API.sede')),
            ],
        ),
        migrations.CreateModel(
            name='RespuestaParticipante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('participante', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participante_respuestas', to='API.participante')),
                ('respuesta', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='API.respuesta')),
            ],
        ),
        migrations.CreateModel(
            name='OrientacionVocacional',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('video', models.TextField(blank=True, null=True)),
                ('sede', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='orientacion', to='API.sede')),
            ],
        ),
        migrations.CreateModel(
            name='EgresadosExito',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('video', models.TextField(blank=True, null=True)),
                ('sede', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='egresados', to='API.sede')),
            ],
        ),
        migrations.CreateModel(
            name='ActividadesWebinars',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('link_webinar', models.TextField(blank=True, null=True)),
                ('sede', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actividades_webinars', to='API.sede')),
            ],
        ),
        migrations.CreateModel(
            name='ActividadesVideos',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('link_webinar', models.TextField(blank=True, null=True)),
                ('sede', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='actividades_videos', to='API.sede')),
            ],
        ),
    ]
